Application Groups - Create Or Update

Create or update an applicationGroup.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/applicationGroups/{applicationGroupName}?api-version=2025-10-10

URI Parameters

Name In Required Type Description
applicationGroupName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the application group

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

properties.applicationGroupType True

ApplicationGroupType

Resource Type of ApplicationGroup.

properties.hostPoolArmPath True

string

HostPool arm path of ApplicationGroup.

identity

SystemAssignedServiceIdentity

The managed service identities assigned to this resource.

kind

string

pattern: ^[-\w\._,\(\)]+$

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type; e.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.

managedBy

string

The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another Azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.

plan

Plan

Plan for the resource.

properties.description

string

Description of ApplicationGroup.

properties.friendlyName

string

Friendly name of ApplicationGroup.

properties.showInFeed

boolean

Boolean representing whether the applicationGroup is show in the feed.

sku

Sku

The resource model definition representing SKU

tags

object

Resource tags.

Responses

Name Type Description
200 OK

ApplicationGroup

Successfully updated application group.

201 Created

ApplicationGroup

Successfully created application group.

Other Status Codes

CloudError

Automation error response describing why the operation failed.

Examples

ApplicationGroup_Create

Sample request

PUT https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/applicationGroups/applicationGroup1?api-version=2025-10-10

{
  "location": "centralus",
  "tags": {
    "tag1": "value1",
    "tag2": "value2"
  },
  "properties": {
    "description": "des1",
    "friendlyName": "friendly",
    "hostPoolArmPath": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
    "applicationGroupType": "RemoteApp",
    "showInFeed": true
  }
}

Sample response

{
  "name": "applicationGroup1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/applicationGroups/applicationGroup1",
  "type": "Microsoft.DesktopVirtualization/applicationGroups",
  "location": "centralus",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "objectId": "7877fb31-4bde-49fd-9df3-c046e0ec5325",
    "description": "des1",
    "friendlyName": "friendly",
    "hostPoolArmPath": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
    "workspaceArmPath": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/workspaces/workspace1",
    "applicationGroupType": "RemoteApp",
    "cloudPcResource": false,
    "showInFeed": true
  }
}
{
  "name": "applicationGroup1",
  "id": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/applicationGroups/applicationGroup1",
  "type": "Microsoft.DesktopVirtualization/applicationGroups",
  "location": "centralus",
  "tags": {
    "key1": "value1",
    "key2": "value2"
  },
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "properties": {
    "objectId": "7877fb31-4bde-49fd-9df3-c046e0ec5325",
    "description": "des1",
    "friendlyName": "friendly",
    "hostPoolArmPath": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1",
    "workspaceArmPath": "/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/workspaces/workspace1",
    "applicationGroupType": "RemoteApp",
    "cloudPcResource": false,
    "showInFeed": true
  }
}

Definitions

Name Description
ApplicationGroup

Represents a ApplicationGroup definition.

ApplicationGroupType

Resource Type of ApplicationGroup.

CloudError

Cloud error object.

CloudErrorProperties

Cloud error object properties.

createdByType

The type of identity that created the resource.

Plan

Plan for the resource.

Sku

The resource model definition representing SKU

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

SystemAssignedServiceIdentity

Managed service identity (either system assigned, or none)

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

systemData

Metadata pertaining to creation and last modification of the resource.

ApplicationGroup

Represents a ApplicationGroup definition.

Name Type Description
etag

string

The etag field is not required. If it is provided in the response body, it must also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

SystemAssignedServiceIdentity

The managed service identities assigned to this resource.

kind

string

pattern: ^[-\w\._,\(\)]+$

Metadata used by portal/tooling/etc to render different UX experiences for resources of the same type; e.g. ApiApps are a kind of Microsoft.Web/sites type. If supported, the resource provider must validate and persist this value.

location

string

The geo-location where the resource lives

managedBy

string

The fully qualified resource ID of the resource that manages this resource. Indicates if this resource is managed by another Azure resource. If this is present, complete mode deployment will not delete the resource if it is removed from the template since it is managed by another resource.

name

string

The name of the resource

plan

Plan

Plan for the resource.

properties.applicationGroupType

ApplicationGroupType

Resource Type of ApplicationGroup.

properties.cloudPcResource

boolean

Is cloud pc resource.

properties.description

string

Description of ApplicationGroup.

properties.friendlyName

string

Friendly name of ApplicationGroup.

properties.hostPoolArmPath

string

HostPool arm path of ApplicationGroup.

properties.objectId

string

ObjectId of ApplicationGroup. (internal use)

properties.showInFeed

boolean

Boolean representing whether the applicationGroup is show in the feed.

properties.workspaceArmPath

string

Workspace arm path of ApplicationGroup.

sku

Sku

The resource model definition representing SKU

systemData

systemData

Metadata pertaining to creation and last modification of the resource.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ApplicationGroupType

Resource Type of ApplicationGroup.

Value Description
RemoteApp
Desktop

CloudError

Cloud error object.

Name Type Description
error

CloudErrorProperties

Cloud error object properties.

CloudErrorProperties

Cloud error object properties.

Name Type Description
code

string

Error code

message

string

Error message indicating why the operation failed.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

Plan

Plan for the resource.

Name Type Description
name

string

A user defined name of the 3rd Party Artifact that is being procured.

product

string

The 3rd Party artifact that is being procured. E.g. NewRelic. Product maps to the OfferID specified for the artifact at the time of Data Market onboarding.

promotionCode

string

A publisher provided promotion code as provisioned in Data Market for the said product/artifact.

publisher

string

The publisher of the 3rd Party Artifact that is being bought. E.g. NewRelic

version

string

The version of the desired product/artifact.

Sku

The resource model definition representing SKU

Name Type Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. E.g. P3. It is typically a letter+number code

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

Value Description
Free
Basic
Standard
Premium

SystemAssignedServiceIdentity

Managed service identity (either system assigned, or none)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

SystemAssignedServiceIdentityType

Type of managed service identity (either system assigned, or none).

Value Description
None
SystemAssigned

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.